class Config:

    """
        $Id: Config.py,v 1.1.1.1 2003/04/10 14:38:57 maro Exp $

        Property config class, contains the properties needed to
        connect to the gateway. Also contains debug-information

        @author maro
    """

    # Current version of the Python-SDK
    VERSION         = "1.0.0"

    # Defines the hostname to connect for SMS and Notification receival
    LISTENER_HOST   = "localhost"
    # Defines the port to connect for SMS and Notification receival
    LISTENER_PORT   = 3001

    #Defines the hostname to connect to send SMS
    SEND_HOST       = "localhost"
    #Defines the port to connect to send SMS
    SEND_PORT       = 3000

    #
    # Debug settings follows
    #

    # Defines the level of output from scripts
    # Available: debug, info, warn, fatal
    DEBUG_LEVEL     = "info"

    # Defines how logoutput should be presented.
    #  0 - screen
    #  1 - file
    #  2 - file and screen
    #
    DEBUG_OUTPUT    = 0

    # Defines the filename debug output should be written to in case
    # of DEBUG_OUTPUT 1 or 2
    DEBUG_FILE      = "zyneo.log"

