<?php

     //
     // Copyright (c) 2002-2003 Zyneo HB. (http://www.zyneo.com)
     // See LICENSE distributed with this package for more information.
     //
    
     include_once("config/config.inc");
     include_once(_DOCROOT . "/sdk/GatewaySender.php");
     include_once(_DOCROOT . "/sdk/protocol/Sms.php");

    
    /**
     * $Id: index.php,v 1.1.1.1 2003/03/27 10:27:43 maro Exp $
     *
     * This page demonstrates how an SMS message can be sent using the 
     * PHP-SDK.
     *
     * This page is and should be considered as a SAMPLE and not to be used in 
     * a production environment. 
     *
     * @author Magnus Rosenquist, Zyneo
     * 
     */
     
     $response;
    
     function sendSMS($params)
     {
        global $response;
        
        $sender = new GatewaySender();
        if ( $params["status"] == "yes" )
        {
            $sms = new Sms($params["to"], $params["message"]);
            $sms->setStatusReporting($sms->STATUS_REPORT_YES);
            $response = $sender->sendSMS($sms);
        }
        else
            $response = $sender->sendSimpleSMS($params["to"], $params["message"]);
     }
    
     if ( $HTTP_POST_VARS["to"] != "" && $HTTP_POST_VARS["message"] != "" )
     {
        sendSMS($HTTP_POST_VARS);
     }
    
?>

<html>

    <head>
        <title>Send SMS using the PHP-SDK</title>
    </head>
    <body>
        <table width="100%">
        <tr>
            <td valign="top">
                <p>
                    <h2>Send SMS using PHP-SDK</h2>
                </p>
                <p>
                    Please enter a valid mobilephone number and a message to send, then press 'Send'.
                </p>
                <form name="sms" method="post">

                        Enter recipient mobilephone number:<br/>
                        <input type="text" size="25" name="to"/>
                        <br/><br>
                        Statusreports:&nbsp;&nbsp;&nbsp;
                        <input type="checkbox" size="25" name="status" value="yes"/>
                        <br/><br>
                        Enter a message:</br>
                        <textarea name="message" cols="40" rows="20" align="left">
                        </textarea><br/><br/>
                        <input type="submit" value="Send"/>
                        <hr/>
                        <a href="view-sms.php">View received SMS</a>
                </form>
            </td>
            <td valign="top">
                <? if ( isset($response) ) { ?>
                    <p>     
                        <h4>Results</h4>
                        <hr/>           
                        <table width="50%">
                            <tr>
                                <td>Status:</td>
                                <td><?=$response->getStatus()?></td>
                            </tr>
                            <tr>
                                <td>Message-id:</td>
                                <td><?=$response->getMessageId()?></td>
                            </tr>
                            <tr>
                                <td>Error-code:</td>
                                <td><?=$response->getErrorCode()?></td>
                            </tr>
                            <tr>
                                <td valign="top">Error-message:</td>
                                <td valign="top"><?=$response->getErrorMessage()?></td>
                            </tr>
                        </table>
                    </p>
                <? } ?>
            </td>
        </tr>
        </table>
    </body>

</html>
