<?php
    
    //
    // Copyright (c) 2002-2003 Zyneo HB. (http://www.zyneo.com)
    // See LICENSE distributed with this package for more information.
    //

    include_once (_DOCROOT . "/base/Base.php");
    include_once (_DOCROOT . "/sdk/protocol/Sms.php");
    include_once (_DOCROOT . "/sdk/client/Client.php");
    
    /**
     * $Id: GatewaySender.php,v 1.1.1.1 2003/03/27 10:27:42 maro Exp $
     *
     * Sample SMS sender class for sending SMS.
     *
     * @author Magnus Rosenquist, Zyneo
     * @package sdk
     * 
     */
    class GatewaySender
        extends Base
    {
    
        function GatewaySender()
        {
            $this->registerClass(get_class($this));
        }
        
        /**
         * Sends a simple sms and checks the response from the gateway
         * @param string $to recipient mobilephonenumber
         * @param string $message message to send.
         */
        function sendSimpleSMS($to, $message)
        {
            $this->registerMethod("sendSimpleSMS");
            // Create new SMS
            $sms = new Sms($to, $message);
            // Create a Client to send this message and to receive the response.
            $client = new Client();
            return ($client->send($sms));
        }
        
        /**
         * Sends an SMS and checks the response from the gateway
         * @param Sms $sms Sms object
         */
        function sendSMS($sms)
        {
            $this->registerMethod("sendSMS");
            // Create a Client to send this message and to receive the response.
            $client = new Client();
            return ($client->send($sms));
        }
    
    }
?>
