<?php
    
    //
    // Copyright (c) 2002-2003 Zyneo HB. (http://www.zyneo.com)
    // See LICENSE distributed with this package for more information.
    //

    include_once (_DOCROOT . "/base/Base.php");
    include_once (_DOCROOT . "/sdk/protocol/Sms.php");
    include_once (_DOCROOT . "/sdk/protocol/send/SendRequest.php");
    include_once (_DOCROOT . "/sdk/protocol/send/SendResponse.php");
    include_once (_DOCROOT . "/sdk/socket/ClientSocket.php");
    
    /**
     * $Id: Client.php,v 1.1.1.1 2003/03/27 10:27:42 maro Exp $
     *
     * This class is used to send an SMS to the gateway.
     *
     * The SMS is validated before sending to gateway, if the Sms does
     * not meet the requirements a response is sent back without sending
     * the message to the gateway.
     *
     * @package sdk.client
     * @author Magnus Rosenquist, Zyneo
     */
    class Client
        extends Base
    {

        var $__socket;
            
        function Client()
        {
            $this->registerClass(get_class($this));
            $this->__socket = new ClientSocket(_SEND_HOST, _SEND_PORT);
        }
        
        /**
         * Sends a simple sms and returns the response from the gateway
         * @param string $to recipient mobilephonenumber
         * @param string $message message to send.
         * @return SendResponse
         */
        function send($sms)
        {
            $this->registerMethod("sendSMS");
            // Validate mobilenumber and message
            if ( ! $sms->validateMobile() )
            {
                return $this->InvalidMobile();
            }
            if ( ! $sms->validateMessage() )
            {
                return $this->invalidMessage();
            }
            // Create a SendRequest for this message
            $request = new SendRequest($sms);
            // 
            $socketResponse = $this->__socket->send($request->toXML());
            $response = new SendResponse($socketResponse);
            return $response;
        }
        
        function invalidMobile()
        {
            $response = new SendResponse();
            $response->setStatus($response->STATUS_FAIL);
            $response->setErrorCode(1);
            $response->setErrorMessage("Invalid mobilephone number, use international format (+4670xxxxx/004670xxxx).");
            return $response;
        }

        function invalidMessage()
        {
            $response = new SendResponse();
            $response->setStatus($response->STATUS_FAIL);
            $response->setErrorCode(2);
            $response->setErrorMessage("Message length is max 160 chars and cannot be empty.");
            return $response;
        }
    }
?>
