<?php

    //
    // Copyright (c) 2002-2003 Zyneo HB. (http://www.zyneo.com)
    // See LICENSE distributed with this package for more information.
    //

    include_once (_DOCROOT ."/base/Base.php");
    
    /**
     * $Id: Response.php,v 1.1.1.1 2003/03/27 10:27:43 maro Exp $
     *
     * This class represents a response to a received SMS or Notification.
     * @package adapter.protocol.receive
     * @author Magnus Rosenquist, Zyneo
     */
    class Response
        extends Base
    {

        /** Constant for defining this response as successful */    
        var $STATUS_SUCCESS = "success";
        
        /** Constant for defining this response as failed */
        var $STATUS_FAIL    = "fail";
        
        /** Current status of this response */
        var $__status;
        /** Error code for this response */
        var $__errorCode;
        /** Error message for this response */
        var $__errorMessage;
       
        /**
         * Creates a new Response, status defaulting to STATUS_SUCCCESS.
         */
        function Response()
        {
            $this->registerClass(get_class($this));
            $this->__status = $this->STATUS_SUCCESS;
        }
        
        /**
         * Sets status for this response, use STATUS_SUCCESS or STATUS_FAIL
         * to set valid status.
         * @param string $status
         */
        function setStatus($status)
        {
            $this->__status = $status;
        }
        
        /**
         * When status = STATUS_FAIL, set an error-code.
         * @param string $code
         */
        function setErrorCode($code)
        {
            $this->__errorCode = $code;
        }
        
        /**
         * When status = STATUS_FAIL, set an error-message
         * @param string $msg
         */
        function setErrorMessage($msg)
        {
            $this->__errorMessage = $msg;
        }
        
        /**
         * Serializes this Response into an XML string.
         * @return string
         */
        function toXML()
        {
            $this->registerMethod("toXML");
            $this->logDebug("Status: " . $this->__status);
            $xml  = "<?xml version=\"1.0\" encoding=\"UTF-8\"?>";
            $xml .= "<response type=\"deliver\" version=\"1.0\">";
            if ( $this->__status == "success" )
                $xml .= "<ack></ack>";
            else
                $xml .= "<nak><error code=\"".$this->__errorCode."\">".$this->__errorMessage."</error></nak>";
    
            $xml .= "</response>";
            return $xml;                     
            
        }
    }

?>
